## org.apache.poi.ss.formula.eval
Class RefEvalBase

    java.lang.Object
      org.apache.poi.ss.formula.eval.RefEvalBase

All Implemented Interfaces:
  RefEval, ValueEval

    public abstract class RefEvalBase

extends java.lang.Object
implements RefEval

Common base class for implementors of `RefEval`

Author:
  Josh Micich

Constructor Summary
`protected` `RefEvalBase(int rowIndex, int columnIndex)`

Method Summary
`int` `getColumn()` returns the zero based column index.
`int` `getRow()` returns the zero based row index.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.poi.ss.formula.eval.RefEval
`getInnerValueEval, offset`

Constructor Detail

### RefEvalBase

    protected RefEvalBase(int rowIndex,
                          int columnIndex)

Method Detail

### getRow

    public final int getRow()

  Description copied from interface: `RefEval`
  returns the zero based row index.

  Specified by:
    `getRow` in interface `RefEval`

### getColumn

    public final int getColumn()

  Description copied from interface: `RefEval`
  returns the zero based column index.

  Specified by:
    `getColumn` in interface `RefEval`

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.